_Eina_Rw_Slice Struct Reference
Eina » Data Types » Memory Slices

Defines a read-and-write able memory region. More...

`#include <eina_slice.h>`

## Data Fields

size_t | len
| size of memory pointed by `mem`
union { |
void * mem |
| memory pointed by this slice. More...
uint8_t * bytes |
| memory as uint8_t pointer
}; |

## Detailed Description

Defines a read-and-write able memory region.

The slice is a memory starting at `mem` and accessible up to `len` bytes.

See also
  Eina_Slice for read-only memory regions.

Since
  1.19

## Field Documentation

## mem

void* _Eina_Rw_Slice::mem

memory pointed by this slice.

It's write able.